---
updatedAt: 2026-09-29T08:48:33.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Re-run OCR for applicant

# Overview

Use this method to [re-run OCR](https://docs.sumsub.com/sumsub/docs/re-ocr-documents) for an applicant.

This is useful when you [add extra OCR fields](https://docs.sumsub.com/sumsub/docs/customize-supported-id-documents#manage-extra-document-fields-for-ocr) to the [Supported ID Documents](https://cockpit.sumsub.com/checkus/sdkIntegrations/globalSettings/userVerification/supportedIdDocuments) schema and need the newly extracted data to appear for a specific applicant.

<Callout icon="📘" theme="info">
  ### Note

  The rate limit for this endpoint is 20 requests per minute.
</Callout>

## Required permissions

To use this method, your [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) must have the following [permissions](https://docs.sumsub.com/sumsub/docs/user-roles#permissions):

* **View applicants**
* **View applicant's personal data**
* **Manage check results**

# Request example

```curl
curl -X POST \
     'https://api.sumsub.com/resources/applicants/678a4d03f5d00001a000b000/reOcr' \
     -H 'Content-Type: application/json' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>' \
     -d '{}'
```

# Response explained

If the request is successfully sent and processed, a `200 OK` response is returned, indicating that the newly extracted data is available for the specified applicant.

```json 200
OK
```

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

```json
{
  "code": 400,
  "correlationId": "80f6efa1208cc94d17154ab432800000",
  "description": "Invalid id 'dxfgxb65468zxd46tx8b68gt4'"
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/applicants/{applicantId}/reOcr": {
      "post": {
        "description": "",
        "responses": {
          "200": {
            "description": "OK"
          }
        },
        "parameters": [
          {
            "in": "path",
            "name": "applicantId",
            "schema": {
              "type": "string"
            },
            "required": true,
            "description": "Unique applicant identifier in the Sumsub system. <br><br>This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant is created on the Sumsub side, and can be found in the [Dashboard](https://cockpit.sumsub.com/checkus/#/applicants/individual?limit=10&page=0). <br><br>If the `applicantId` is unknown to you, use the [Get applicant data (externalUserId)](https://docs.sumsub.com/sumsub/reference/get-applicant-data-via-externaluserid) method to fetch it."
          },
          {
            "in": "header",
            "name": "content-type",
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          }
        ],
        "operationId": "post_resources-applicants-applicantid-reocr",
        "summary": "Re-run OCR for applicant",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "format": "json",
                    "default": "",
                    "description": "⚠️ Include an empty request body `'{}'`; otherwise, an error will be returned.",
                    "enum": [
                      "{}"
                    ]
                  }
                },
                "required": [
                  "RAW_BODY"
                ]
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```